Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
DistributedSmoothNodeBase Class Reference
Inheritance diagram for DistributedSmoothNodeBase:

## Public Member Functions
| __init__ (self)
| b_clearSmoothing (self)
| d_clearSmoothing (self)
| delete (self)
| disable (self)
| generate (self)
| getPosHprBroadcastPeriod (self)
| getPosHprBroadcastTaskName (self)
| posHprBroadcast ###
| posHprBroadcastStarted (self)
| sendCurrentPosition (self)
| setPosHprBroadcastPeriod (self, period)
| startPosHprBroadcast (self, period=.2, stagger=0, type=None)
| stopPosHprBroadcast (self)
| wantSmoothPosBroadcastTask (self)

## Public Attributes
| broadcastType = type
| cnode = CDistributedSmoothNodeBase()
| d_broadcastPosHpr = None
| dclass = self.getPosHprBroadcastTaskName()
| doId

## Static Public Attributes
| BroadcastTypes = Enum('FULL, XYH, XY')

## Protected Member Functions
| _posHprBroadcast (self, task=DummyTask)

## Protected Attributes
| _posHprBroadcast = randFloat(period)

## Detailed Description

    common base class for DistributedSmoothNode and DistributedSmoothNodeAI

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ _posHprBroadcast()

_posHprBroadcast | ( |  | self,
|  |  | task = DummyTask )
| protected

## ◆ b_clearSmoothing()

b_clearSmoothing | ( |  | self | ) |

## ◆ d_clearSmoothing()

d_clearSmoothing | ( |  | self | ) |

## ◆ delete()

delete | ( |  | self | ) |

Reimplemented in DistributedSmoothNode, and DistributedSmoothNodeAI.

## ◆ disable()

disable | ( |  | self | ) |

Reimplemented in DistributedSmoothNode, and DistributedSmoothNodeAI.

## ◆ generate()

generate | ( |  | self | ) |

Reimplemented in DistributedSmoothNode, and DistributedSmoothNodeAI.

## ◆ getPosHprBroadcastPeriod()

getPosHprBroadcastPeriod | ( |  | self | ) |

## ◆ getPosHprBroadcastTaskName()

getPosHprBroadcastTaskName | ( |  | self | ) |

posHprBroadcast ###

## ◆ posHprBroadcastStarted()

posHprBroadcastStarted | ( |  | self | ) |

## ◆ sendCurrentPosition()

sendCurrentPosition | ( |  | self | ) |

## ◆ setPosHprBroadcastPeriod()

setPosHprBroadcastPeriod | ( |  | self,
|  |  | period )

## ◆ startPosHprBroadcast()

startPosHprBroadcast | ( |  | self,
|  |  | period = .2,
|  |  | stagger = 0,
|  |  | type = None )

## ◆ stopPosHprBroadcast()

stopPosHprBroadcast | ( |  | self | ) |

## ◆ wantSmoothPosBroadcastTask()

wantSmoothPosBroadcastTask | ( |  | self | ) |

## Member Data Documentation

## ◆ _posHprBroadcast

_posHprBroadcast = randFloat(period)
| protected

## ◆ broadcastType

broadcastType = type

## ◆ BroadcastTypes

BroadcastTypes = Enum('FULL, XYH, XY')
| static

## ◆ cnode

cnode = CDistributedSmoothNodeBase()

## ◆ d_broadcastPosHpr

d_broadcastPosHpr = None

## ◆ dclass

dclass = self.getPosHprBroadcastTaskName()

## ◆ doId

doId